mongoose_5.4.0+dfsg-1_i386.deb


Advertisement

Description

mongoose - graph partitioning tool that can quickly compute edge cuts (executable)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename mongoose_5.4.0+dfsg-1_i386.deb
Package name mongoose
Package version 5.4.0+dfsg
Package release 1
Package architecture i386
Package type deb
Category math
Homepage http://www.suitesparse.com
License -
Maintainer Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Download size 22.21 KB
Installed size 50.00 KB
Suitesparse is a collection of libraries for computations involving
sparse matrices.
Mongoose is a graph partitioning library that can quickly compute edge cuts in
arbitrary graph. Given a graph with a vertex set and edge set, an edge cut is
a partitioning of the graph into two subgraphs that are balanced (contain the
same number of vertices) and the connectivity between the subgraphs is
minimized (few edges are in the cut).
This package contains the standalone executable.

Alternatives

Package Version Architecture Repository
mongoose_5.4.0+dfsg-1_amd64.deb 5.4.0+dfsg amd64 Debian Main
mongoose - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libmongoose2 >= 1:5.4.0+dfsg
libstdc++6 >= 5.2
libsuitesparseconfig5 >= 1:5.0.0

Download

Type URL
Mirror ftp.br.debian.org
Binary Package mongoose_5.4.0+dfsg-1_i386.deb
Source Package suitesparse

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install mongoose deb package:
    # sudo apt-get install mongoose

Files

Path
/usr/bin/mongoose
/usr/share/doc/mongoose/NEWS.Debian.gz
/usr/share/doc/mongoose/changelog.Debian.gz
/usr/share/doc/mongoose/changelog.gz
/usr/share/doc/mongoose/copyright

Changelog

2018-12-27 - Sébastien Villemot <sebastien@debian.org>
suitesparse (1:5.4.0+dfsg-1) unstable; urgency=medium
* New upstream version 5.4.0+dfsg
* d/rules: use new JOBS Makefile variable for parallel build
* Add Build-Depends-Package field in symbols files
* Migrate to new way of specifying debhelper compat level
* Bump to S-V 4.3.0
2018-07-18 - Sébastien Villemot <sebastien@debian.org>
suitesparse (1:5.3.0+dfsg-1) unstable; urgency=medium
* New upstream version 5.3.0+dfsg
* d/copyright: reflect upstream changes
* Package Mongoose
+ new binary packages: mongoose, libmongoose2
+ mongoose-build.patch: new patch
+ add texlive-fonts-extra, ghostscript, texlive-science and
texlive-xetex to Build-Depends
* d/rules: remove get-orig-source rule
* Add Rules-Requires-Root: no
* Bump S-V to 4.1.5
2018-03-17 - Sébastien Villemot <sebastien@debian.org>
suitesparse (1:5.2.0+dfsg-1) unstable; urgency=medium
* New upstream version 5.2.0+dfsg
* d/copyright:
+ add GraphBLAS_API_C.pdf to Files-Excluded, since the source
is not provided.
+ reflect upstream changes.
* d/watch: handle +dfsg suffix.
* SOVERSION bump for libgraphblas (1->2).
2018-01-19 - Sébastien Villemot <sebastien@debian.org>
suitesparse (1:5.1.2-2) unstable; urgency=medium
* Add missing Depends of libsuitesparse-dev on libgraphblas1.
(Closes: #887570)
2018-01-07 - Sébastien Villemot <sebastien@debian.org>
suitesparse (1:5.1.2-1) unstable; urgency=medium
* New upstream version 5.1.2
* Update Vcs-* fields for move to salsa.debian.org.
2018-01-02 - Sébastien Villemot <sebastien@debian.org>
suitesparse (1:5.1.2~beta2-1) unstable; urgency=medium
* New upstream version 5.1.2~beta2
+ libgraphblasdemo now linked against libm. (Closes: #885569)
* Bump Standards-Version to 4.1.3.
2017-12-27 - Sébastien Villemot <sebastien@debian.org>
suitesparse (1:5.1.2~beta-2) unstable; urgency=medium
* Upload to unstable.
2017-12-25 - Sébastien Villemot <sebastien@debian.org>
suitesparse (1:5.1.2~beta-1) experimental; urgency=medium
* New upstream version 5.1.2~beta
* graphblas-build.patch: drop patch, applied upstream.
* d/watch: support -beta suffix (treating it as ~beta).
* d/rules: remove kludge for renaming static GraphBLAS lib.
* Bump to debhelper compat level 11:
- documentation now installed under /u/s/doc/libsuitesparse-dev
- directly call make instead of dh_auto_build (the latter messes up with the
INSTALL parameter)
2017-12-21 - Sébastien Villemot <sebastien@debian.org>
suitesparse (1:5.1.1-beta-1) experimental; urgency=medium
* New upstream version 5.1.1-beta
- fixes FTBFS on some 32-bit platforms (Closes: #884564)
- static GraphBLAS library is now shipped in -dev package.
* Drop patches applied upstream: cmake.patch, pdf-docs.patch.
* graphblas-build.patch: new patch for GraphBLAS build system.
* Update symbols file for libgraphblas1.
* Add missing epoch in symbols files.
2017-12-09 - Sébastien Villemot <sebastien@debian.org>
suitesparse (1:5.1.0-1) experimental; urgency=medium
* New upstream version 5.1.0
* d/copyright: reflect upstream changes.
* SOVERSION bump for libsuitesparseconfig (4 -> 5).
* Package new GraphBLAS library:
+ new libgraphblas1 package.
+ add Build-Depends on cmake.
+ cmake.patch: new patch, fixes installation paths of the library.
+ install GraphBLAS.h include in libsuitesparse-dev.
+ install GraphBLAS_Userguide.pdf, and register it into doc-base.
* Rebuild PDF doc.
+ add some texlive build-depedencies.
+ new pdf-docs.patch
* d/rules: drop obsolete override for dbgsym migration.
* Bump to Standards-Version 4.1.2.
* Install README.txt in libsuitesparse-doc (instead of libamd2).
* Drop useless README.Debian.
* Add source lintian override for insecure URL in d/watch.

See Also

Package Description
mongrel2-core_1.12.0-2_i386.deb programming language agnostic web server (binaries)
mongrel2-run_1.12.0-2_all.deb programming language agnostic web server
monitoring-plugins-basic_2.2-6_i386.deb Plugins for nagios compatible monitoring systems (basic)
monitoring-plugins-btrfs_11-2_all.deb btrfs plugin for nagios compatible monitoring systems
monitoring-plugins-common_2.2-6_i386.deb Common files for plugins for nagios compatible monitoring
monitoring-plugins-standard_2.2-6_i386.deb Plugins for nagios compatible monitoring systems (standard)
monitoring-plugins_2.2-6_all.deb Plugins for nagios compatible monitoring systems (metapackage)
monitorix_3.10.1-1_all.deb lightweight system monitoring tool
monkeysign-doc_2.2.4_all.deb OpenPGP key signing and exchange for humans (documentation)
monkeysign_2.2.4_all.deb OpenPGP key signing and exchange for humans
monkeysphere_0.43-3_all.deb leverage the OpenPGP web of trust for SSH and TLS authentication
mono-4.0-gac_5.18.0.240+dfsg-3_all.deb Mono GAC tool (for CLI 4.0)
mono-4.0-service_5.18.0.240+dfsg-3_all.deb Mono service manager for CLI 4.0
mono-addins-utils_1.0+git20130406.adcd75b-4_all.deb Command-line utility for Mono.Addins management
mono-apache-server4_4.2-2.1_all.deb ASP.NET 4.5 backend for mod_mono Apache module
Advertisement
Advertisement